Package org.python.core

# Class PyBuffer.Pointer

java.lang.Object
org.python.core.PyBuffer.Pointer

Enclosing interface:
  `PyBuffer`

@Deprecated public static class PyBuffer.Pointer extends Object
Deprecated.
A class that references a `byte[]` array and a particular offset within it, as the return type for methods that give direct access to byte-oriented data exported by a Python object. In some contexts the consumer will be entitled to make changes to the contents of this array, and in others not. See `PyBUF.isReadonly()`. It is used by the Jython buffer API roughly where the CPython buffer API uses a C (char *) pointer.

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`offset`
Deprecated.
Starting position within the array for the data being pointed to.
`byte[]`
`storage`
Deprecated.
Reference to the array holding the bytes.

## Constructor Summary

Constructors
Constructor
Description
`Pointer(byte[] storage, int offset)`
Deprecated.
Construct a reference to the given array and offset.

## Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### storage

public byte[] storage
Deprecated.
Reference to the array holding the bytes.

### offset

public int offset
Deprecated.
Starting position within the array for the data being pointed to.

## Constructor Details

### Pointer

public Pointer(byte[] storage, int offset)
Deprecated.
Construct a reference to the given array and offset.

Parameters:
  `storage` - array at reference
  `offset` - index of the reference byte